# error or warning(default) or ignore
# Define action of hal-rootstrap-checker when it detects dependency
# other than ones that specified by the below
# allowed_buildrequires_{package|group}_name or
# allowed_buildconflicts_package_name.
# - error
#   : print error log, and cease rpmbuild with build error
# - warning
#   : print warning log, and continue rpmbuild
# - ignore
#   : keep silent, and continue rpmbuild
action_on_violation: warning

# List of packages that are subject to the hal-rootstrap-checker.
# Follow pattern matching of bash(1).
target_package_name:
    - hal-backend-*
    - alsa-ucm-data-*
    - audio-hal-*
    - bluetooth-firmware-*
    - camera-hal-*
    - fm-data-*
    - lbs-server-plugin-*
    - media-config-target-*
    - model-config-*
    - pass-hal-*

# List of package groups that are subject to the hal-rootstrap-checker.
# Follow pattern matching of bash(1).
target_group_name:

# List of packages that are exempt from the hal-rootstrap-checker.
# It is applied on top of the above 'target_package_name' and 'target_group_name'.
# Follow pattern matching of bash(1).
excluded_target_package_name:

# List of packages that are allowed to be used as BuildRequires.
# The effective allowed set is made up of allowed_buildrequires_package_name
# and allowed_buildrequires_group_name.
# Follow pattern matching of bash(1).
allowed_buildrequires_package_name:
    - cmake
    - pkgconfig(hal-rootstrap)
    - linux-glibc-devel
    - kernel-headers-*

# List of package groups that are allowed to be used as BuildRequires.
# The effective allowed set is made up of allowed_buildrequires_package_name
# and allowed_buildrequires_group_name.
# Follow pattern matching of bash(1).
allowed_buildrequires_group_name:

# List of packages that are allowed to be used as BuildConflicts
# Follow pattern matching of bash(1).
allowed_buildconflicts_package_name:
    - linux-glibc-devel
    - kernel-headers-*

# List of packages that are allowed to be used as Requires
# Follow pattern matching of bash(1).
# FIXME: This has no effect for now. We are trying to figure out whether
#        this option is really effective or not in managing packages.
allowed_requires:
